# std::binary_function< Arg1, Arg2, Result > Struct Template Reference
[Functor Base Classes]

`#include <stl_function.h>`

Inheritance diagram for std::binary_function< Arg1, Arg2, Result >:

[legend]
List of all members.

## Public Types

typedef Arg1 | first_argument_type
| the type of the first argument
typedef Arg2 | second_argument_type
| the type of the second argument
typedef Result | result_type
| type of the return type

## Detailed Description

### template<class Arg1, class Arg2, class Result>
struct std::binary_function< Arg1, Arg2, Result >

This is one of the functor base classes.

Definition at line 114 of file stl_function.h.

## Member Typedef Documentation

template<class Arg1, class Arg2, class Result>
typedef Arg1 std::binary_function< Arg1, Arg2, Result >::first_argument_type

| the type of the first argument Definition at line 116 of file stl_function.h.

template<class Arg1, class Arg2, class Result>
typedef Result std::binary_function< Arg1, Arg2, Result >::result_type

| type of the return type Definition at line 120 of file stl_function.h.

template<class Arg1, class Arg2, class Result>
typedef Arg2 std::binary_function< Arg1, Arg2, Result >::second_argument_type

| the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h